; --------------------------------
;
;  Macros - By Bryan Rittmeyer <bryanr@pair.com> and others
;
; --------------------------------

HANDLE_TABLE_PTR	EQU	$5D42	; long pointer

WriteStr         MACRO                                                           ; X, Y, COL, STR
                                                move.w  \3,-(a7)
                                                pea             \4(PC)
                                                move.w  \2,-(a7)
                                                move.w  \1,-(a7)
                                                jsr tios::DrawStrXY
                                                lea             10(a7),a7
                                         ENDM
WriteHuffStr	MACRO
						lea hufdata(PC),a0
						move.w \1,d0
						move.w \2,d1
						move.w \3,d3
						move.w \4,d4
						jsr hufflib[write_string]
					ENDM
WriteChar	 MACRO
						move.w #$00FF,-(a7)
						move.w #$0000,-(a7)
						move.w #$00FF,-(a7)
						move.w #4,-(a7)
						move.w \2,-(a7)
						move.w \1,-(a7)
						move.w \3,-(a7)
                                                jsr tios::DrawCharXY
						lea 14(a7),a7
					 ENDM


SetFont          MACRO                                                       ; FONT
                                                move.w  \1,-(a7)
                                                jsr tios::FontSetSys
                                                lea 2(a7),a7
                                         ENDM

handle_ptr	MACRO			; Dn,An
					lsl.w	#2,\1
					move.l HANDLE_TABLE_PTR,\2
					move.l	0(\2,\1.w),\2
				ENDM
